"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.configs = void 0;

var _commandExecutor = require("./commandExecutor");

var _errorHander = require("./errorHander");

var _optionsProcesser = require("./optionsProcesser");

// import { spawnSyncIO } from '../commands-utlis/spanSync.js';
function run(options) {
  // const { disableWatch } = options.app;
  // spawnSyncIO('node', [
  //   require.resolve(
  //     disableWatch ? '../servers/nowatchserver' : '../servers/server'
  //   ),
  //   '--expose-http2',
  //   ...args
  // ]);
  (0, _commandExecutor.commandExecutor)(options).then(console.log).catch(e => {
    (0, _errorHander.errorHander)(e);
  });
}

const configs = {
  name: 'devSeverStart',
  alias: ['start'],
  optionsProcesser: _optionsProcesser.optionsProcesser,
  run
};
exports.configs = configs;