"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.configEnvVariables = configEnvVariables;

var _webpack = require("webpack");

function configEnvVariables(options) {
  return new _webpack.DefinePlugin({
    __CLIENT__: true,
    __TEST__: false,
    __SERVER__: false,
    __DEVELOPMENT__: true,
    __LOCAL_PRODUCTION__: false,
    __DEVTOOLS__: true,
    __DOCS__: false,
    NODE_ENV: JSON.stringify('development'),
    'process.env': {
      NODE_ENV: JSON.stringify('development')
    }
  });
}